


#include "GameModes/KOFTeam.h"

#include "Character/KOFBaseCharacter.h"

AKOFBaseCharacter* UKOFTeam::GetCurrentCharacter()
{
	return Characters.Num() > 0 ? Characters[0] : nullptr; 
}

void UKOFTeam::InitTeam()
{
	for (TSubclassOf<AKOFBaseCharacter> CharacterTemplate : CharacterTemplates)
	{
		AKOFBaseCharacter* Temp = NewObject<AKOFBaseCharacter>(CharacterTemplate);
		if(Temp)
		{
			Characters.Add(Temp);
		}
	}
}
